Bug 93781 - [NEW PORT] comms/ktrack: Amateur Radio satellite tracking and prediction
Summary: [NEW PORT] comms/ktrack: Amateur Radio satellite tracking and prediction
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-24 02:40 UTC by Diane Bruce
Modified: 2006-07-09 20:56 UTC (History)
0 users

See Also:


Attachments
ktrack-0.3.0r1.shar (7.15 KB, text/plain)
2006-02-24 02:40 UTC, Diane Bruce
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diane Bruce 2006-02-24 02:40:08 UTC
K-Track is an graphical satellite prediction Program that runs under KDE.
It's really accurate as it calculates using the NORAD SGP4/SDP4 Models.
It Controls your Rig for doppler compensation / antenna pointing

Written by lx2gt AT users.sourceforge.net

WWW: http://ktrack.sourceforge.net/

- Diane Bruce, VA3DB
db@db.net

Generated with FreeBSD Port Tools 0.63
Comment 1 Andrej Zverev freebsd_committer 2006-05-02 22:14:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->az

Grab
Comment 2 Diane Bruce 2006-06-22 16:12:37 UTC
Updated to compile on freebsd-current as well

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	.
#	./pkg-plist
#	./pkg-descr
#	./Makefile
#	./distinfo
#	./files
#	./files/patch-ktrack_rigConfigBase.ui
#	./files/patch-ktrack_hamlibwrapper.cpp
#	./files/patch-ktrack_predictionlist.cpp
#	./files/patch-doc_Makefile.in
#	./files/patch-ktrack_calculator.cpp
#
echo c - .
mkdir -p . > /dev/null 2>&1
echo x - ./pkg-plist
sed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
Xbin/ktrack
Xshare/applnk/Applications/HamRadio/ktrack.desktop
Xshare/apps/ktrack/earth.jpg
Xshare/apps/ktrack/nasa.tle
Xshare/apps/ktrack/night.jpg
Xshare/icons/hicolor/16x16/apps/ktrack.png
Xshare/icons/hicolor/32x32/apps/ktrack.png
Xshare/icons/locolor/16x16/apps/ktrack.png
Xshare/icons/locolor/32x32/apps/ktrack.png
Xshare/locale/de/LC_MESSAGES/ktrack.mo
Xshare/locale/fr/LC_MESSAGES/ktrack.mo
X@dirrm share/applnk/Applications/HamRadio
X@dirrm share/apps/ktrack
X%%PORTDOCS%%share/doc/HTML/en/ktrack/index.cache.bz2
X%%PORTDOCS%%share/doc/HTML/en/ktrack/index.docbook
X%%PORTDOCS%%@dirrm share/doc/HTML/en/ktrack/common
X%%PORTDOCS%%@dirrm share/doc/HTML/en/ktrack
END-of-./pkg-plist
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XK-Track is an graphical satellite prediction Program that runs under KDE.
XIt's really accurate as it calculates using the NORAD SGP4/SDP4 Models.
XIt Controls your Rig for doppler compensation / antenna pointing
X
XWritten by lx2gt AT users.sourceforge.net
X
XWWW: http://ktrack.sourceforge.net/
X
X- Diane Bruce, VA3DB
Xdb@db.net
END-of-./pkg-descr
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# New ports collection makefile for:	ktrack
X# Date created:		22 February 2006
X# Whom:			Diane Bruce <db@db.net>
X#
X# $FreeBSD:$
X
XPORTNAME=	ktrack
XPORTVERSION=	0.3.0r1
XCATEGORIES=	comms hamradio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	ktrack
XDISTNAME=	${PORTNAME}-0.3.0-rc1
X
XMAINTAINER=	db@db.net
XCOMMENT=	Amateur Radio satellite tracking and prediction
X
XRUN_DEPENDS=	xplanet:${PORTSDIR}/astro/xplanet:install
XLIB_DEPENDS=	hamlib:${PORTSDIR}/comms/hamlib \
X		jpeg:${PORTSDIR}/graphics/jpeg
X
XWRKSRC=		${WRKDIR}/${DISTNAME}
XUSE_BZIP2=yes
XUSE_KDEBASE_VER=3
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XUSE_AUTOTOOLS=	libtool:15
XUSE_GETTEXT=	yes
X
Xpost-patch:
X	@${REINPLACE_CMD} -e "s,-lpthread,${PTHREAD_LIBS},g" ${WRKSRC}/configure
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${PREFIX}/share/doc/HTML/en/ktrack
X	${MKDIR} ${PREFIX}/share/doc/HTML/en/ktrack/common
X	${INSTALL_MAN} ${WRKSRC}/doc/en/index.cache.bz2 ${PREFIX}/share/doc/HTML/en/ktrack/
X	${INSTALL_MAN} ${WRKSRC}/doc/en/index.docbook ${PREFIX}/share/doc/HTML/en/ktrack/
X.endif
X
X.include <bsd.port.mk>
END-of-./Makefile
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (ktrack-0.3.0-rc1.tar.bz2) = 032c914ab7316471505265e6a68d9da3
XSHA256 (ktrack-0.3.0-rc1.tar.bz2) = 595e4314ae611eac55ad5add46ba4e5c881c29e40c8261bfd5f65df318d35740
XSIZE (ktrack-0.3.0-rc1.tar.bz2) = 913764
END-of-./distinfo
echo c - ./files
mkdir -p ./files > /dev/null 2>&1
echo x - ./files/patch-ktrack_rigConfigBase.ui
sed 's/^X//' >./files/patch-ktrack_rigConfigBase.ui << 'END-of-./files/patch-ktrack_rigConfigBase.ui'
X--- ktrack/rigConfigBase.ui.orig	Thu Feb 23 13:17:48 2006
X+++ ktrack/rigConfigBase.ui	Thu Feb 23 13:17:57 2006
X@@ -390,7 +390,7 @@
X                 <cstring>downlinkCheckBox</cstring>
X             </property>
X             <property name="text">
X-                <string>Seperate downlink receiver</string>
X+                <string>Separate downlink receiver</string>
X             </property>
X         </widget>
X         <widget class="QGroupBox">
END-of-./files/patch-ktrack_rigConfigBase.ui
echo x - ./files/patch-ktrack_hamlibwrapper.cpp
sed 's/^X//' >./files/patch-ktrack_hamlibwrapper.cpp << 'END-of-./files/patch-ktrack_hamlibwrapper.cpp'
X--- ktrack/hamlibwrapper.cpp.orig	Sun Jan 18 03:25:00 2004
X+++ ktrack/hamlibwrapper.cpp	Thu Feb 23 11:23:18 2006
X@@ -18,6 +18,7 @@
X #include <string.h>
X #include <stdlib.h>
X #include <kapplication.h>
X+#include <math.h>
X 
X #include "hamlibwrapper.h"
X 
X@@ -100,6 +101,7 @@
X   // open the rig
X   if (rig_open(downlinkRig) != RIG_OK) {
X     retval--;
X+    downlinkRig->caps->rig_model=RIG_MODEL_DUMMY;
X   }
X 
X 
X@@ -116,8 +118,9 @@
X     uplinkRig=rig_init(urig);
X     uplinkRig->state.rigport.parm.serial.rate=uspeed;
X     strcpy(downlinkRig->state.rigport.pathname, uport);
X-    if (rig_open(downlinkRig) != RIG_OK) {
X+    if (rig_open(uplinkRig) != RIG_OK) {
X 			retval--;
X+			uplinkRig->caps->rig_model=RIG_MODEL_DUMMY;
X     }
X   }
X 
X@@ -248,13 +251,16 @@
X   int errorcode;
X   freq_t frequency=0;
X   mutex.lock();
X-  errorcode=rig_get_freq(downlinkRig, downlinkvfo, &frequency);
X-  if (errorcode!=RIG_OK) {
X-    fprintf(stderr, "WARNING: Error fetching frequency from Radio! Using default Frequency!\n");
X-    errorstring=rigerror(errorcode);
X-    if (errorstring)
X-      fprintf(stderr, "The reported error was: %s\n", errorstring);
X-    frequency=433000000;
X+  if (downlinkRig->caps->rig_model != RIG_MODEL_DUMMY) {
X+    errorcode=rig_get_freq(downlinkRig, downlinkvfo, &frequency);
X+    if (errorcode!=RIG_OK) {
X+      fprintf(stderr, "WARNING: Error fetching frequency from Radio! Using default Frequency!\n");
X+      errorstring=rigerror(errorcode);
X+      if (errorstring)
X+        fprintf(stderr, "The reported error was: %s\n", errorstring);
X+      downlinkRig->caps->rig_model = RIG_MODEL_DUMMY;
X+      frequency=433000000;
X+    }
X   }
X   // sleep on dummy rig - that saves CPU power
X   if (downlinkRig->caps->rig_model == RIG_MODEL_DUMMY)
END-of-./files/patch-ktrack_hamlibwrapper.cpp
echo x - ./files/patch-ktrack_predictionlist.cpp
sed 's/^X//' >./files/patch-ktrack_predictionlist.cpp << 'END-of-./files/patch-ktrack_predictionlist.cpp'
X--- ktrack/predictionlist.cpp.orig	Wed Feb 22 19:58:26 2006
X+++ ktrack/predictionlist.cpp	Wed Feb 22 19:58:39 2006
X@@ -132,7 +132,7 @@
X /** No descriptions */
X double predictionList::qDateTime2daynum(QDateTime date){
X   struct tm TM;
X-  extern int daylight;
X+//  extern int daylight;
X   tzset();
X 
X   TM.tm_sec=date.time().second();
X@@ -141,7 +141,7 @@
X   TM.tm_mday=date.date().day();
X   TM.tm_mon=date.date().month()-1;
X   TM.tm_year=date.date().year()-1900;
X-  TM.tm_isdst=daylight;
X+  TM.tm_isdst=0; // daylight;
X   time_t t = mktime(&TM);
X 
X //  gmtime_r(&t, &TM);
END-of-./files/patch-ktrack_predictionlist.cpp
echo x - ./files/patch-doc_Makefile.in
sed 's/^X//' >./files/patch-doc_Makefile.in << 'END-of-./files/patch-doc_Makefile.in'
X--- doc/en/Makefile.in.orig	Thu Feb 23 20:34:39 2006
X+++ doc/en/Makefile.in	Thu Feb 23 20:34:53 2006
X@@ -372,7 +372,7 @@
X 
X #>- install-data-am:
X #>+ 1
X-install-data-am: install-docs install-nls 
X+install-data-am:
X 
X install-exec-am:
X 
END-of-./files/patch-doc_Makefile.in
echo x - ./files/patch-ktrack_calculator.cpp
sed 's/^X//' >./files/patch-ktrack_calculator.cpp << 'END-of-./files/patch-ktrack_calculator.cpp'
X--- ktrack/calculator.cpp.orig	Thu Jun 22 10:24:42 2006
X+++ ktrack/calculator.cpp	Thu Jun 22 10:24:55 2006
X@@ -17,6 +17,7 @@
X 
X #include <stdlib.h>
X #include <stdio.h>
X+#include <sys/time.h>
X #include <kstandarddirs.h>
X #include <qfile.h>
X #include <qtimer.h>
END-of-./files/patch-ktrack_calculator.cpp
exit
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-07-01 07:44:37 UTC
Responsible Changed
From-To: az->freebsd-ports-bugs

Reassign to pool.  The assignee has had this PR for some time, and did not 
respond to email asking about its status.
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-09 00:54:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-09 01:55:13 UTC
State Changed
From-To: open->feedback

doesn't build: 
http://sce-tindy.tecnik93.com/tb/errors/6-STABLE-i386-myPT/ktrack-0.3.0r1.log
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-09 20:56:05 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!